summary refs log tree commit diff
path: root/home/.local/bin/whinclude
diff options
context:
space:
mode:
Diffstat (limited to 'home/.local/bin/whinclude')
-rwxr-xr-xhome/.local/bin/whinclude11
1 files changed, 11 insertions, 0 deletions
diff --git a/home/.local/bin/whinclude b/home/.local/bin/whinclude
new file mode 100755
index 00000000..26445cdc
--- /dev/null
+++ b/home/.local/bin/whinclude
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -eu
+
+echo "#include <${1}>" |
+cc ${CFLAGS:-} -E -x c - |
+sed -En '
+	/^# [0-9]+ "[^<]/{
+		s/.*"([^"]+)".*/\1/p
+		q
+	}
+'